summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAlexis Ballier <aballier@gentoo.org>2017-01-17 13:51:26 +0100
committerAlexis Ballier <aballier@gentoo.org>2017-01-17 13:54:02 +0100
commitd0d5f101c9c4f656aeee3e50037227f1106a4203 (patch)
tree6e54988c1ce941776f9b2de53381312143f40ab8 /sci-libs/ignition-math
parentsci-electronics/gazebo: bump to 7.5.0 (diff)
downloadgentoo-d0d5f101c9c4f656aeee3e50037227f1106a4203.tar.gz
gentoo-d0d5f101c9c4f656aeee3e50037227f1106a4203.tar.bz2
gentoo-d0d5f101c9c4f656aeee3e50037227f1106a4203.zip
sci-libs/ignition-math: bump to 2.7.0
Package-Manager: Portage-2.3.3, Repoman-2.3.1
Diffstat (limited to 'sci-libs/ignition-math')
-rw-r--r--sci-libs/ignition-math/Manifest1
-rw-r--r--sci-libs/ignition-math/ignition-math-2.7.0.ebuild29
2 files changed, 30 insertions, 0 deletions
diff --git a/sci-libs/ignition-math/Manifest b/sci-libs/ignition-math/Manifest
index bef53baee4e..ef358f51aca 100644
--- a/sci-libs/ignition-math/Manifest
+++ b/sci-libs/ignition-math/Manifest
@@ -1,3 +1,4 @@
DIST ignition-math2_2.5.0.tar.bz2 360006 SHA256 500b827c7b69dc2868cde8ade60110c948195b16d1d4cf103c301e3b54dc65b4 SHA512 64c15af499b249cf1f60d7c83923da3304756e86ae88ae07bfd0d7d53db8a37b079e38917f367465af5ec3fb37071d76d2c33ae9b63ecdc55beb489f21157835 WHIRLPOOL 4437ae0ddcf5eade0595c3add71650a9531c3cf04c425a736a0060e7507ea573162b7114f1fbeb18f885c2277d06797aab9bfeba7c3bbd83fff0de2dbff3d581
DIST ignition-math2_2.6.0.tar.bz2 366416 SHA256 942b10bdcb0bdd389b5cd907ad33b87e93a5ed6c5fd822a93bd92ae9be98a29b SHA512 eb8f3566b44ae5e8b2e18c31302cccefd8b4ebb94e999d058e95ffe9c117cb888418fd513d2e92637b200e3688c89972ef42c6b8a04fdf950b130264de87eb16 WHIRLPOOL bdda60bbac9437235f55178579902757b8fd3d7855efd211faca88f5a804ba744bfef9e786618eeb573a72ce2f4a6017e93e7e04bf621b09acfc26e84204051f
+DIST ignition-math2_2.7.0.tar.bz2 368232 SHA256 66360ebcb655abdb8e217bb0281d1e60ec2f15c54a7d714a5c4d59eb9dfd4450 SHA512 b02d2aab62c412c31b0901e098dcd2a219521d8f5ad0b05be1c31f791fe40cd059bcb9e8ac40c5cb051f2f834ea5a51ed58324504a42e9de32c23b99ec75413d WHIRLPOOL b510960fd2a25da744939d1c1049be141b17ea5136f05f9b55ab1c795aa34a3d563818270485bcdbcc9efdd38c30a71cf25ab55199ef7d7cefebd65e5a998f41
DIST ignition-math_1.0.0.tar.bz2 312262 SHA256 aa7b5fc9a7732a72f2d45c25bea8280b2230fcd52fbc0159cf7f1224257e72f6 SHA512 21199854482c6cf30c345d27fe4975aa30a42f03c2bfb0fd5dfe0bbc309d686f2760a6ccc52f8e47bdf5d5db05fbbdcb2f9393c4a91ee054a78def5df8089950 WHIRLPOOL 7f088aea5bd7f2510043c5aad35e4ca814936159a4596657f2af02dc38bdb5e84db002cbb8f8ab8ed0ff0793af423cfd6d31714d6d56808d41ffeca7e3629e81
diff --git a/sci-libs/ignition-math/ignition-math-2.7.0.ebuild b/sci-libs/ignition-math/ignition-math-2.7.0.ebuild
new file mode 100644
index 00000000000..feb4dc5746f
--- /dev/null
+++ b/sci-libs/ignition-math/ignition-math-2.7.0.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit cmake-utils vcs-snapshot flag-o-matic
+
+DESCRIPTION="A small, fast, and high performance math library for robot applications"
+HOMEPAGE="http://ignitionrobotics.org/libraries/math"
+SRC_URI="https://bitbucket.org/ignitionrobotics/ign-math/get/${PN}2_${PV}.tar.bz2"
+
+LICENSE="Apache-2.0"
+SLOT="2/2"
+KEYWORDS="~amd64"
+IUSE=""
+
+DEPEND=""
+RDEPEND="${DEPEND}"
+S="${WORKDIR}/${PN}2_${PV}"
+CMAKE_BUILD_TYPE=RelWithDebInfo
+
+src_configure() {
+ # upstream appends this conditionally...
+ append-flags "-fPIC"
+ echo "set (CMAKE_C_FLAGS_ALL \"${CXXFLAGS} \${CMAKE_C_FLAGS_ALL}\")" > "${S}/cmake/HostCFlags.cmake"
+ sed -i -e "s/LINK_FLAGS_RELWITHDEBINFO \" \"/LINK_FLAGS_RELWITHDEBINFO \" ${LDFLAGS} \"/" cmake/DefaultCFlags.cmake || die
+ cmake-utils_src_configure
+}